Next Previous Contents

## 3. Command Line Options

Usage: `xca [-d new.xdb] [-v] [-x] <files>`

Next to the usual X command line options. There are the following

- -v show version information and exit
- -d set the database filename (only needed to create a new db)
- -x exit after processing all command line options

There are some deprecated legacy options: [ -k ] [ -r ] [ -c ] [ -p ] [ -7 ] [ -l ] [ -t ] [ -P ]

Before XCA 0.9.0, the type of the items had to be given. This was removed since. Just put all keys, certs, requests and the database unsorted on the commandline. For backwards compatibility those options are ignored when found.

Usually after importing the items from commandline the application will startup as usual. With the -x option given it will exit after finishing the import dialog. This is useful if xca is used as default application for viewing certificates, keys or requests.

## 3.1 Extracting items

On the command line xca may be called with the first argument "extract".

`xca extract <database> <type> <name>`

extracts the item with internal name <name> and the type `cert` `req` or `crl` from the database in PEM format to <STDOUT>

Next Previous Contents